Skip to main content
POST
/
api
/
GiftDesignation
/
Query
Query Gift Designations
curl --request POST \
  --url https://api.virtuoussoftware.com/api/GiftDesignation/Query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "groups": [
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    },
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    }
  ],
  "sortBy": "<string>",
  "descending": "<boolean>"
}
'
"{\n\t\"list\": [\n\t\t{\n\t\t\t\"id\": \"<integer>\",\n\t\t\t\"createDate\": \"<string>\",\n\t\t\t\"amountDesignated\": \"<double>\",\n\t\t\t\"giftId\": \"<integer>\",\n\t\t\t\"giftDate\": \"<string>\",\n\t\t\t\"giftType\": \"<string>\",\n\t\t\t\"giftIsPrivate\": \"<boolean>\",\n\t\t\t\"giftCustomFields\": \"<object>\",\n\t\t\t\"giftUrl\": \"<string>\",\n\t\t\t\"contactId\": \"<integer>\",\n\t\t\t\"contactName\": \"<string>\",\n\t\t\t\"contactType\": \"<string>\",\n\t\t\t\"contactUrl\": \"<string>\",\n\t\t\t\"projectId\": \"<integer>\",\n\t\t\t\"project\": \"<string>\",\n\t\t\t\"projectCode\": \"<string>\",\n\t\t\t\"projectExternalAccountingCode\": \"<string>\",\n\t\t\t\"projectType\": \"<string>\",\n\t\t\t\"projectLocation\": \"<string>\",\n\t\t\t\"projectCustomFields\": \"<object>\",\n\t\t\t\"projectUrl\": \"<string>\",\n\t\t\t\"parentProjectId\": \"<integer>\",\n\t\t\t\"parentProject\": \"<string>\",\n\t\t\t\"parentProjectCode\": \"<string>\",\n\t\t\t\"parentProjectExternalAccountingCode\": \"<string>\",\n\t\t\t\"parentProjectType\": \"<string>\",\n\t\t\t\"parentProjectLocation\": \"<string>\",\n\t\t\t\"parentProjectCustomFields\": \"<object>\",\n\t\t\t\"parentProjectUrl\": \"<string>\",\n            //*** The following fields are available starting 9/13/2022 ***\n            \"batch\": \"<string>\", \n            \"segmentName\": \"<string>\",\n            \"segmentCode\": \"<string>\"\n\t\t},\n\t\t{\n\t\t\t\"id\": \"<integer>\",\n\t\t\t\"createDate\": \"<string>\",\n\t\t\t\"amountDesignated\": \"<double>\",\n\t\t\t\"giftId\": \"<integer>\",\n\t\t\t\"giftDate\": \"<string>\",\n\t\t\t\"giftType\": \"<string>\",\n\t\t\t\"giftIsPrivate\": \"<boolean>\",\n\t\t\t\"giftCustomFields\": \"<object>\",\n\t\t\t\"giftUrl\": \"<string>\",\n\t\t\t\"contactId\": \"<integer>\",\n\t\t\t\"contactName\": \"<string>\",\n\t\t\t\"contactType\": \"<string>\",\n\t\t\t\"contactUrl\": \"<string>\",\n\t\t\t\"projectId\": \"<integer>\",\n\t\t\t\"project\": \"<string>\",\n\t\t\t\"projectCode\": \"<string>\",\n\t\t\t\"projectExternalAccountingCode\": \"<string>\",\n\t\t\t\"projectType\": \"<string>\",\n\t\t\t\"projectLocation\": \"<string>\",\n\t\t\t\"projectCustomFields\": \"<object>\",\n\t\t\t\"projectUrl\": \"<string>\",\n\t\t\t\"parentProjectId\": \"<integer>\",\n\t\t\t\"parentProject\": \"<string>\",\n\t\t\t\"parentProjectCode\": \"<string>\",\n\t\t\t\"parentProjectExternalAccountingCode\": \"<string>\",\n\t\t\t\"parentProjectType\": \"<string>\",\n\t\t\t\"parentProjectLocation\": \"<string>\",\n\t\t\t\"parentProjectCustomFields\": \"<object>\",\n\t\t\t\"parentProjectUrl\": \"<string>\",\n            //*** The following fields are available starting 9/13/2022 ***\n            \"batch\": \"<string>\", \n            \"segmentName\": \"<string>\",\n            \"segmentCode\": \"<string>\"\n\t\t}\n\t],\n\t\"total\": \"<integer>\"\n}"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10. Max is 1000.

Body

application/json
groups
object[]
sortBy
string
descending
string

Response

200 - application/json

OK

The response is of type object.

Last modified on April 24, 2026